JBoss API: Class ApplicationDeadlockException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.lock
Class ApplicationDeadlockException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--java.rmi.RemoteException
                              |
                              +--org.jboss.ejb.plugins.lock.ApplicationDeadlockException

All Implemented Interfaces:
  java.io.Serializable

public class ApplicationDeadlockException
extends java.rmi.RemoteException

This exception class is thrown when application deadlock is detected when trying to lock an entity bean This is probably NOT a result of a jboss bug, but rather that the application is access the same entity beans within 2 different transaction in a different order. Remember, with a PessimisticEJBLock, Entity beans are locked until the transaction commits or is rolled back.

Version:
  $Revision: 1.1.2.1 $

  Revisions:

  2002/02/13: billb

  1. Initial revision
Author:
  Bill Burke
See Also:
  Serialized Form

Fields inherited from class java.rmi.RemoteException
`detail`

Constructor Summary
`ApplicationDeadlockException()`
`ApplicationDeadlockException(java.lang.String msg)`

Methods inherited from class java.rmi.RemoteException
`getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ApplicationDeadlockException

    public ApplicationDeadlockException()

### ApplicationDeadlockException

    public ApplicationDeadlockException(java.lang.String msg)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.